<?php
namespace Migration\Handler\AheadworksRma;

use Migration\ResourceModel\Record;
use Migration\Handler\AbstractHandler;
use Migration\Handler\HandlerInterface;

/**
 * Handler for correction increment ID format
 */
class IncrementIdFormat extends AbstractHandler implements HandlerInterface
{
    /**
     * {@inheritdoc}
     */
    public function handle(Record $recordToHandle, Record $oppositeRecord)
    {
        $this->validate($recordToHandle);
        $incrementId = $recordToHandle->getValue('increment_id');
        $recordToHandle->setValue($this->field, substr($incrementId, 2));
    }
}
