<?php
namespace Migration\Handler\AheadworksRma;

use Migration\ResourceModel\Record;
use Migration\Handler\AbstractHandler;
use Migration\Handler\HandlerInterface;
use Migration\Step\AheadworksRma\Helper\Request as RequestHelper;

/**
 * Handler for correction request ID of thread message
 */
class MessageRequestIdCheck extends AbstractHandler implements HandlerInterface
{
    /**
     * @var RequestHelper
     */
    private $requestHelper;

    /**
     * MessageRequestIdCheck constructor.
     * @param RequestHelper $requestHelper
     */
    public function __construct(
        RequestHelper $requestHelper
    ) {
        $this->requestHelper = $requestHelper;
    }

    /**
     * {@inheritdoc}
     */
    public function handle(Record $recordToHandle, Record $oppositeRecord)
    {
        $this->validate($recordToHandle);
        $requestOldNewData = $this->requestHelper->getRequestOldNewData();
        $oldRequestId = $recordToHandle->getValue('request_id');
        $newRequestId = isset($requestOldNewData['aw_rma_request'][$oldRequestId])
            ? $requestOldNewData['aw_rma_request'][$oldRequestId] : $oldRequestId;
        $recordToHandle->setValue($this->field, $newRequestId);
    }
}
