<?php
namespace Migration\Step\AheadworksRma\Helper;

use Migration\Step\AheadworksRma\Helper;

/**
 * Class Thread
 * @package Migration\Step\AheadworksRma\Helper
 */
class Thread extends Helper
{
    /**
     * @var string
     */
    private $threadMessageTable = 'aw_rma_thread_message';

    /**
     * @var string
     */
    private $threadAttachmentTable = 'aw_rma_thread_attachment';

    /**
     * Clear thread tables
     */
    public function clearThreadData()
    {
        $this->destination->clearDocument($this->threadMessageTable);
        $this->destination->clearDocument($this->threadAttachmentTable);
    }

    public function saveAttachments($sourceRecord, $messageId)
    {
        if ($attachments = $sourceRecord->getValue('attachments')) {
            $threadMessageAttachmentData = [
                'message_id' => $messageId,
                'name' => $attachments,
                'file_name' => $attachments
            ];
            $this->makeInsert($this->threadAttachmentTable, 'message_id', $threadMessageAttachmentData);
        }
    }
}
